This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005452 - Outdated information
Outdated information
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: rpm-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ben Cotton
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 00:46 EDT by Christopher Meng
Modified: 2015-05-11 09:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-19 07:06:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcotton+fedora: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-07 00:46:22 EDT
Quoted from http://docs.fedoraproject.org/en-US/Fedora_Draft_Documentation/0.1/html/RPM_Guide/ch16s07.html:

The RPM bindings for Python are documented along with the C programming API. On a Red Hat Linux system, look in the file /usr/share/doc/rpm-devel-4.1/apidocs/html/group__python.html to see the start of the Python-specific documentation.
Note that much of this online documentation covers the C functions that provide the Python bindings, not the Python API itself. But, if you examine the online information on objects listed as classes, such as rpmts, you can find the Python-specific documentation.
Furthermore, if you look into the .c files that make up the Python bindings, you can find PyMethodDef structure tables. These tables provide useful glimpses into the Python API.
To learn more about programming in Python, install the python-docs package. The python-docs package has a large set of online documentation for Python, including the official Python Tutorial. With Red Hat Linux, start at /usr/share/doc/python-docs-2.2.1/html/tut/tut.html.
Cross Reference
Other tutorials are available at http://diveintopython.org for the Dive Into Python tutorial for experienced programmers, and at http://py.vaults.ca/parnassus/apyllo.py/935043691.636055170 for the Vaults of Parnassus listing of tutorials.


I think we need to update some words like RPM4.1, /usr/share/doc/python-docs-2.2.1 (F20 docdir changes) and Red Hat Linux ....

Note You need to log in before you can comment on or make changes to this bug.